### Signal

# Clutter Container::child-notify

since: 13

#### Declaration

    void
    child_notify (
      ClutterContainer* self,
      ClutterActor* actor,
      GObject.ParamSpec* pspec,
      gpointer user_data
    )

#### Description [src]

The signal is emitted each time a property is being set through the `clutter_container_child_set()` and `clutter_container_child_set_property()` calls.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 13

#### Parameters

`actor`

  Type: `ClutterActor`

  The child that has had a property set.

  The data is owned by the caller of the function.

`pspec`

  Type: `GParamSpec`

  The `GParamSpec` of the property set.

  The data is owned by the caller of the function.